clc
vid = videoinput('winvideo', 1);
set(vid,'TriggerRepeat',Inf);
vid.FrameGrabInterval = 5; % pobieraj co 5 klatk?
start(vid);
try
    while(vid.FramesAcquired<=110) % Stop po 110 klatkach
        IM = getdata(vid,2); % liczba prbek
        IMGray = rgb2gray(IM(:,:,1:3)); % posta? szaro?ciowa
        IMbw=im2bw(IMGray,0.5); % posta? czarno - biala
        IMneg=imadjust(IMGray,[0 1],[1 0]); % negatyw
        subplot(2,3,1);imshow(IM(:,:,:,1));title('Obraz wejsciowy')
        subplot(2,3,2);imshow(IMbw);title('Obraz czarno-bia?y')
        subplot(2,3,3);imshow(IMGray);title('Obraz szarosciowy')
        subplot(2,3,4);imshow(IMneg);title('Negatyw')    
        i1=IM(:,:,:,1);% klatka pierwsza
        i2=IM(:,:,:,2);% klatka nast?pna
        i1=rgb2gray(i1(:,:,1:3));
        i2=rgb2gray(i2(:,:,1:3));
        m=abs(double(i1)-double(i2))/256;% modu? r?nicy klatek
        subplot(2,3,5);imshow(m);title('Ruch')        
        if sum(sum(m))>80 % je?li pojawi? si? ruch, to modu? r?nicy klatek b?dzie r?ny od zera
            disp('Ruch');beep
        end
    end
    stop(vid);
catch
    stop(vid);
end